Subject: ISO: Curvy and windy roads through Gold Country, CA

From: [email-masked] (Jeanne P Pandes )
Date: 23 Oct 1995 06:22:38 GMT

I plan on taking a trip through the so-called Gold Country generally
north of Lake Tahoe, along St Rte 395, as far north as Honey Lake.
- Does anyone have any tips on Scenic/Curvy/Windy roads to take through
  this area?
- Where are the interesting, non-touristy areas while in the area?
- Where are the hole-in-the-wall restaurants with the mouth-watering
  can't-drop-by-without-trying menus?

I plan on taking my Miata and driving with the top down (of course, in
spite of the to-be-expected nippy weather and temperatures.

- What are the general road conditions during early-November along
  St Rte 395, and Calif Hwys 49, 89, 70, etc., ??

*jeanne p
 [email-masked]
 sun 10/22 11:18p PDT